> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collateral Transactions

> Lists the caller's Rain collateral deposits and withdrawals from the local table, newest first.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-collateral-transactions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-collateral-transactions:
    get:
      operationId: getCollateralTransactions
      summary: Get Collateral Transactions
      description: >-
        Lists the caller's Rain collateral deposits and withdrawals from the
        local table, newest first.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollateralTransactionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCollateralTransactionsResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
